Page MenuHomePhabricator

Start writing to change_tag_def in production
Closed, ResolvedPublic

Description

On some date (to be defined), set $wgChangeTagsSchemaMigrationStage to MIGRATION_WRITE_BOTH in order to start writing to the new change_tag_def table.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 8 2018, 2:24 PM
Ladsgroup moved this task from Incoming to In Progress on the Wikidata-Campsite board.
Ladsgroup added a subscriber: Ladsgroup.

We'll start with frwiki on July 2nd, Moving on to other wikis the following week.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJun 28 2018, 1:14 PM
Vvjjkkii renamed this task from Start writing to change_tag_def in production to uddaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii removed Ladsgroup as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot assigned this task to Ladsgroup.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot renamed this task from uddaaaaaaa to Start writing to change_tag_def in production.
CommunityTechBot added a subscriber: Aklapper.

Change 443387 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Set $wgChangeTagsSchemaMigrationStage to write both for frwiki

https://gerrit.wikimedia.org/r/443387

Change 443387 merged by jenkins-bot:
[operations/mediawiki-config@master] Set $wgChangeTagsSchemaMigrationStage to write both for Wikivoyage, Wikibooks

https://gerrit.wikimedia.org/r/443387

Mentioned in SAL (#wikimedia-operations) [2018-07-05T13:12:32Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:443387|Set $wgChangeTagsSchemaMigrationStage to write both for Wikivoyage, Wikibooks (T194165)]] (duration: 00m 52s)

Change 444555 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Write to change_tag_def and the new column in change_tag in Wikisource

https://gerrit.wikimedia.org/r/444555

Change 444555 merged by jenkins-bot:
[operations/mediawiki-config@master] Write to change_tag_def and the new column in change_tag in Wikisource

https://gerrit.wikimedia.org/r/444555

Mentioned in SAL (#wikimedia-operations) [2018-07-11T11:10:56Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:444555|Set $wgChangeTagsSchemaMigrationStage to write both for Wikisource (T194165)]] (duration: 00m 58s)

Change 445969 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Write to the new change tag backend in frwiki

https://gerrit.wikimedia.org/r/445969

Change 445969 merged by jenkins-bot:
[operations/mediawiki-config@master] Write to the new change tag backend in frwiki

https://gerrit.wikimedia.org/r/445969

Mentioned in SAL (#wikimedia-operations) [2018-07-16T11:04:51Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:445969|Write to the new change tag backend in frwiki (T194165)]] (duration: 00m 50s)

Change 446804 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Set to write the new change tag backend everywhere, enable reading in frwiki

https://gerrit.wikimedia.org/r/446804

Change 446804 merged by jenkins-bot:
[operations/mediawiki-config@master] Set to write the new change tag backend everywhere, enable reading in frwiki

https://gerrit.wikimedia.org/r/446804

Mentioned in SAL (#wikimedia-operations) [2018-07-19T18:14:20Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:446804|Set to write the new change tag backend everywhere, enable reading in frwiki (T194165)]] (duration: 00m 55s)

Ladsgroup moved this task from In Progress to Done on the Wikidata-Campsite board.Jul 25 2018, 5:04 PM
Ladsgroup closed this task as Resolved.